<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update Contest</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>

    <link rel="icon" type="image/x-icon" href="../assets/img/favicon.ico" th:href="@{/img/favicon.ico}"/>
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800"
          rel="stylesheet" type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!-- Portfolio Modal 1-->
<div class="container">
    <div class="row">
        <div class="col-lg-10 col-xl-9 mx-auto">
            <div class="card flex-row my-5 border-0 shadow rounded-3 overflow-hidden">
                <div class="card-body p-4 p-sm-5">
                    <form class="mb-4" action="#" th:action="@{__${#httpServletRequest.requestURI}__}"
                          th:object="${rating}" method="post">
                        <div class="form-group">
                            <label th:for="text">Update Comment</label>
                            <textarea class="form-control story-area" th:field="*{comment}" maxlength="8000"
                                      id="text"
                                      name="text"
                                      rows="5"> </textarea>
                            <span style="background-color: rgba(255,44,0,0)"
                                  class="pull-right label label-default" id="count_message">0/8000</span>
                        </div>

                        <label th:for="text">Update Result</label>
                        <select th:field="*{rating_id}" class="form-select"
                                aria-label="Default select example">
                            <option th:each="rating : ${ratings}"
                                    th:value="${rating.id}"
                                    th:text="${rating.score}">
                            </option>
                        </select>

                        <br/>
                        <button type="submit" class="btn btn-secondary" data-bs-dismiss="modal">
                            <i class="fas fa-check fa-fw"></i>
                            Update
                        </button>
                        <button class="btn btn-cancel" data-bs-dismiss="modal">
                            <i class="fas fa-xmark fa-fw"></i>
                            Cancel
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>